Subject: [os2genau_digest] No. 1472
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 6 Apr 2007 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 05 April 2007
 Number  1472
**************************************************

Subjects for today
 
1  Re:  Information on the Mozilla suite of browsers / email clients etc. : Ed Durrant <edurrant at bigpond dot net dot au>
2   Seamonkey and Flash : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Seamonkey and Flash - correction : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
5  Re:  Seamonkey and Flash : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
7  Re:  Config.SYS was Seamonkey and Flash : John Angelico" <talldad at kepl dot com dot au>
8  Re:  Config.SYS was Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>

**= Email   1 ==========================**

Date:  Thu, 05 Apr 2007 08:45:25 +0000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Information on the Mozilla suite of browsers / email clients etc.

Peter Moylan wrote:
> Ed Durrant wrote:
>> Kris Steenhaut wrote:
>>> Ed Durrant ha scritto:
>>>> Does anyone know of a website or user manuals to describe  how to
>>>>  customise these programs.
>>>>
>>>> I am switching to SeaMonkey from Firefox and Thunderbird and 
>>>> configuration is different.
>>>>
>>>> In particular I want to add a "File" icon to the  Seamonkey mail
>>>>  client toolbar
>>> Could you be a bit more specific? Never have had Tb, so I don't
>>> know exactly what you mean.
>>>
>> As per my other e-mail - I found this setting in Preferences, however
>> on Thunderbird, you simply RMB on the toolbar and select icons to
>> add, rather than going into the general settings.
>
> Could you let us know, once you're used to it, whether the switch was
> worthwhile? The original aim of the Mozilla project, as I recall it, was
> to get rid of all the "bloat" features of Netscape and go back to a pure
> web browser, uncluttered by things like integrated mail and news and so
> on. I guess the SeaMonkey project was motivated by the observation that
> Firefox and Thunderbird ended up bloated anyway, so they might as well
> be combined to avoid code duplication. Does SeaMonkey save a lot of disk
> and main memory space over the combination of Thunderbird and Mozilla
> running together? I must admit that I'm getting sick of the feature
> bloat and would appreciate finding something more compact. It's reaching
> the point where, even with a 400 MHz processor and 128MB of main memory,
> I get frequent annoyances (especially with Thunderbird) where the
> WPS just hangs for about 10-60 seconds, so I'm on the lookout for a
> better solution.
>
I'm still keeping an open mind whether separate FF and TB are better 
than SM however the TB/FF setup has to have either a CMD file with 
libpathstrict or the run! program to stop conflicts between like named 
but different DLLs. SM doesn't have this issue.

Also I have so many versions of FF and TB loaded that I ppear to be 
getting issues with old DLLs when I try to install plugins such as 
Flash, so one advantage of going to a new install of SM is that I can 
then remove all traces of FF & TB and then see if I can get the plugins 
I require to work under SM.

I am presently running only SM - the transfer of mailboxes was  
"interesting" but with the data from the site that Kris gave the link 
to, it was possible.

So far I haven't had any hangs or the like, but I haven't installed all 
the plugins and extentions that I like to use yet. It's also possible 
that some of the extentions that I used on FF aren't available or won't 
work on SM as well.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 05 Apr 2007 17:49:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Seamonkey and Flash

Hi,

 I now only have one copy of flashwin.dll on my system, Seamonkey is the 
default browser and when I try to install flash using flashinst I STILL 
get an access violation as shown below:

Thu Apr  5 17:43:29 2007
---[Exception Information]------------
   Access Violation (hardware generated,portable,fatal)
   Read Access at address 325f4c48h
   Exception Address = 1d8dd5f3 <FLASHWIN> (#4325) obj #0:0017d5f3
   Thread:  Ordinal TID: 100, TID: 1, Priority: 0200h
   Process: PID: 91, Parent: 22, Status: 16
   SS:ESP=0053:00041454  EFLAGS=00012246
   CS:EIP=005b:1d8dd5f3  EBP   =325f4c48
   EAX=0053fd70 EBX=0053fca0 ESI=00000000
   ECX=00000000 EDX=00000000 EDI=0053f5f4
   DS=0053      ES=00000053  FS=0437     GS=0000
---[End Of Exception Information]-----

This is worse than firefox - it installed with error, it just aborted 
with a similar problem when it hit a page with flash content.

This is on OS/2 Warp 4 CP2FP5.

Cheers/2

Ed.

Could there be other DLLs that the install process and the flash plugin 
use that can be causing this problem.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 05 Apr 2007 17:57:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Seamonkey and Flash - correction

Ed Durrant wrote:
> Hi,
>
> I now only have one copy of flashwin.dll on my system, Seamonkey is 
> the default browser and when I try to install flash using flashinst I 
> STILL get an access violation as shown below:
>
> Thu Apr  5 17:43:29 2007
> ---[Exception Information]------------
>   Access Violation (hardware generated,portable,fatal)
>   Read Access at address 325f4c48h
>   Exception Address = 1d8dd5f3 <FLASHWIN> (#4325) obj #0:0017d5f3
>   Thread:  Ordinal TID: 100, TID: 1, Priority: 0200h
>   Process: PID: 91, Parent: 22, Status: 16
>   SS:ESP=0053:00041454  EFLAGS=00012246
>   CS:EIP=005b:1d8dd5f3  EBP   =325f4c48
>   EAX=0053fd70 EBX=0053fca0 ESI=00000000
>   ECX=00000000 EDX=00000000 EDI=0053f5f4
>   DS=0053      ES=00000053  FS=0437     GS=0000
> ---[End Of Exception Information]-----
>
> This is worse than firefox - it installed with error, it just aborted 
> with a similar problem when it hit a page with flash content.
 That should have said:

This is worse than firefox - it installed without error, it just aborted 
with a similar problem when it hit a page with flash content.

>
> This is on OS/2 Warp 4 CP2FP5.
>
> Cheers/2
>
> Ed.
>
> Could there be other DLLs that the install process and the flash 
> plugin use that can be causing this problem.
 
>
> 

>

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 05 Apr 2007 10:04:59 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Seamonkey and Flash

Ed Durrant ha scritto:
> Hi,
>
> I now only have one copy of flashwin.dll on my system, Seamonkey is 
> the default browser and when I try to install flash using flashinst I 
> STILL get an access violation as shown below:
>
> Thu Apr  5 17:43:29 2007
> ---[Exception Information]------------
>   Access Violation (hardware generated,portable,fatal)
>   Read Access at address 325f4c48h
>   Exception Address = 1d8dd5f3 <FLASHWIN> (#4325) obj #0:0017d5f3
>   Thread:  Ordinal TID: 100, TID: 1, Priority: 0200h
>   Process: PID: 91, Parent: 22, Status: 16
>   SS:ESP=0053:00041454  EFLAGS=00012246
>   CS:EIP=005b:1d8dd5f3  EBP   =325f4c48
>   EAX=0053fd70 EBX=0053fca0 ESI=00000000
>   ECX=00000000 EDX=00000000 EDI=0053f5f4
>   DS=0053      ES=00000053  FS=0437     GS=0000
> ---[End Of Exception Information]-----
>
> This is worse than firefox - it installed with error, it just aborted 
> with a similar problem when it hit a page with flash content.
>
It's not worse, it's just the same. As I wrote already earlier, you do have a conflciting dll file, or/end an not updateted ipluginw.dll file.

And how can you be sure there there aren't Tb/FF dll files floating around in other directories?

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 05 Apr 2007 19:43:43 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Seamonkey and Flash

Kris Steenhaut wrote:
> Ed Durrant ha scritto:
>> Hi,
>>
>> I now only have one copy of flashwin.dll on my system, Seamonkey is 
>> the default browser and when I try to install flash using flashinst I 
>> STILL get an access violation as shown below:
>>
>> Thu Apr  5 17:43:29 2007
>> ---[Exception Information]------------
>>   Access Violation (hardware generated,portable,fatal)
>>   Read Access at address 325f4c48h
>>   Exception Address = 1d8dd5f3 <FLASHWIN> (#4325) obj #0:0017d5f3
>>   Thread:  Ordinal TID: 100, TID: 1, Priority: 0200h
>>   Process: PID: 91, Parent: 22, Status: 16
>>   SS:ESP=0053:00041454  EFLAGS=00012246
>>   CS:EIP=005b:1d8dd5f3  EBP   =325f4c48
>>   EAX=0053fd70 EBX=0053fca0 ESI=00000000
>>   ECX=00000000 EDX=00000000 EDI=0053f5f4
>>   DS=0053      ES=00000053  FS=0437     GS=0000
>> ---[End Of Exception Information]-----
>>
>> This is worse than firefox - it installed with error, it just aborted 
>> with a similar problem when it hit a page with flash content.
>>
> It's not worse, it's just the same. As I wrote already earlier, you do 
> have a conflciting dll file, or/end an not updateted ipluginw.dll file.
>
> And how can you be sure there there aren't Tb/FF dll files floating 
> around in other directories?
>
>
>
>
In answer to the last question, because I have searched each drive for 
flashwin.dll and deleted them all.

If we are saying it may be other FF / TB DLLs, I'll delete the FF/TB 
directories as well (I've already moved them to another drive so that 
they can no longer be in any paths).

I installed the ipluginw.dll file through the XPI file - can you tell me 
where to get the correct version and  you say it should be updated ? Is 
that done by the flashinst.exe program or something else ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 05 Apr 2007 12:21:43 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Seamonkey and Flash

Ed Durrant ha scritto:
>>
> In answer to the last question, because I have searched each drive for 
> flashwin.dll and deleted them all.
>
I'm afraid you are on the wrong track. flashwin.dll is not a Tb/FF file.
> If we are saying it may be other FF / TB DLLs, I'll delete the FF/TB 
> directories as well
Didn't you say that was already done? And if not, wo wonder it has 
turned into a mess.
> (I've already moved them to another drive so that they can no longer 
> be in any paths).
>

> I installed the ipluginw.dll file through the XPI file - can you tell 
> me where to get the correct version and  you say it should be updated 
> ? Is that done by the flashinst.exe program or something else ??
>
This one:

C:\Garnaal\components>dir ipl*

De volume-label in station C is Krisje.
Het volume-serienummer is 692F:B5B9.
Directory van C:\Garnaal\components

21-01-07 17:43         60.936      0 a---  ipluginw.dll
21-01-07 17:43            283      0 a---  ipluginw.readme

Incidentally, I saw you messed with the config entries too. I give you with money-back guarantee the entries to have:

SET MOZ_BIN=C:\Garnaal
SET Mozilla_home=C:\Internet\Gebruikers
SET MOZ_PLUGIN_PATH=C:\Internet\Instekers
SET NSPR_OS2_NO_ HIRES_TIMER=1

(In my case Seamonkey is in the \Garnaal directory.

Incidentally 2, are you sure you have deleted the tb/ff profile directories? If not, you are at risk to be stuck for ever.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 05 Apr 2007 22:08:28 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Config.SYS was Seamonkey and Flash

On Thu, 05 Apr 2007 12:21:43 +0200, Kris Steenhaut wrote:

>SET NSPR_OS2_NO_ HIRES_TIMER=1

Hmm, Kris

I can't find anything about this Config entry in the CONFIG.SYS
documentation project.

Can you tell us more about it, please?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Thu, 05 Apr 2007 15:17:15 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Config.SYS was Seamonkey and Flash

John Angelico ha scritto:
> On Thu, 05 Apr 2007 12:21:43 +0200, Kris Steenhaut wrote:
>
>   
>> SET NSPR_OS2_NO_ HIRES_TIMER=1
>>     
>
> Hmm, Kris
>
> I can't find anything about this Config entry in the CONFIG.SYS
> documentation project.
>
> Can you tell us more about it, please?
>
>   
Have to admit I'll have to look again myself, as I don't recall very 
well. I think the advise was given to me by Scitech support four years 
ago (or so) in order to have more stability (or lesser instability) in 
the browser.

By means of the entry the high resolution timer (whatever that may be) 
is disabled. Yes it's  a bit awkward.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------